PKIPublicationInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.crmf

## Class PKIPublicationInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.crmf.PKIPublicationInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PKIPublicationInfo
      extends ASN1Object

       PKIPublicationInfo ::= SEQUENCE {
                        action     INTEGER {
                                       dontPublish (0),
                                       pleasePublish (1) },
                        pubInfos  SEQUENCE SIZE (1..MAX) OF SinglePubInfo OPTIONAL }
       -- pubInfos MUST NOT be present if action is "dontPublish"
       -- (if action is "pleasePublish" and pubInfos is omitted,
       -- "dontCare" is assumed)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1Integer` | `dontPublish`
    `static ASN1Integer` | `pleasePublish`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKIPublicationInfo(ASN1Integer action)`
    `PKIPublicationInfo(java.math.BigInteger action)`
    `PKIPublicationInfo(SinglePubInfo pubInfo)` Constructor with a single pubInfo, assumes pleasePublish as the action.
    `PKIPublicationInfo(SinglePubInfo[] pubInfos)` Constructor with multiple pubInfo, assumes pleasePublish as the action.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Integer` | `getAction()`
    `static PKIPublicationInfo` | `getInstance(java.lang.Object o)`
    `SinglePubInfo[]` | `getPubInfos()`
    `ASN1Primitive` | `toASN1Primitive()` Return the primitive representation of PKIPublicationInfo.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dontPublish

          public static final ASN1Integer dontPublish

    - #### pleasePublish

          public static final ASN1Integer pleasePublish

  - ### Constructor Detail

    - #### PKIPublicationInfo

          public PKIPublicationInfo(java.math.BigInteger action)

    - #### PKIPublicationInfo

          public PKIPublicationInfo(ASN1Integer action)

    - #### PKIPublicationInfo

          public PKIPublicationInfo(SinglePubInfo pubInfo)

      Constructor with a single pubInfo, assumes pleasePublish as the action.
      Parameters:
        `pubInfo` - the pubInfo to be published (can be null if don't care is required).

    - #### PKIPublicationInfo

          public PKIPublicationInfo(SinglePubInfo[] pubInfos)

      Constructor with multiple pubInfo, assumes pleasePublish as the action.
      Parameters:
        `pubInfos` - the pubInfos to be published (can be null if don't care is required).

  - ### Method Detail

    - #### getInstance

          public static PKIPublicationInfo getInstance(java.lang.Object o)

    - #### getAction

          public ASN1Integer getAction()

    - #### getPubInfos

          public SinglePubInfo[] getPubInfos()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Return the primitive representation of PKIPublicationInfo.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.